org.eclipse.ease.ui.tools

## Class DecoratedLabelProvider

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.viewers.BaseLabelProvider
    - - org.eclipse.jface.viewers.CellLabelProvider
      - - org.eclipse.jface.viewers.OwnerDrawLabelProvider
        - - org.eclipse.jface.viewers.StyledCellLabelProvider
          - - org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider
            - - org.eclipse.jface.viewers.DecoratingStyledCellLabelProvider
              - - org.eclipse.ease.ui.tools.DecoratedLabelProvider

All Implemented Interfaces:
  EventListener, IPropertyChangeListener, IBaseLabelProvider, ILabelProvider, IToolTipProvider

    public class DecoratedLabelProvider
    extends DecoratingStyledCellLabelProvider
    implements IPropertyChangeListener, ILabelProvider

Decorating label provider with styled label support for the navigator.

If the wrapped label provider is a `DelegatingStyledCellLabelProvider.IStyledLabelProvider` it will use the styled label it provides.

The label provider listens to the built-in decoration colors (`JFacePreferences.QUALIFIER_COLOR`, `JFacePreferences.COUNTER_COLOR` and `JFacePreferences.DECORATIONS_COLOR`. If other colors are used, it is the responsibility of the wrapped label provider to fire the refresh.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider

`DelegatingStyledCellLabelProvider.IStyledLabelProvider`

### Field Summary

### Fields inherited from class org.eclipse.jface.viewers.StyledCellLabelProvider

`COLORS_ON_SELECTION, NO_FOCUS`

### Constructor Summary

Constructors
Constructor and Description
`DecoratedLabelProvider(ILabelProvider commonLabelProvider)` Creates a `NavigatorDecoratingLabelProvider`

### Method Summary

Methods
`void` `dispose()`
`String` `getText(Object element)`
`void` `initialize(ColumnViewer viewer, ViewerColumn column)`
`void` `propertyChange(PropertyChangeEvent event)`

### Methods inherited from class org.eclipse.jface.viewers.DecoratingStyledCellLabelProvider

`addListener, getBackground, getDecorationContext, getFont, getForeground, getImage, getLabelDecorator, isLabelProperty, removeListener, setDecorationContext, setLabelDecorator, update`

### Methods inherited from class org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider

`getStyledStringProvider, getToolTipText`

### Methods inherited from class org.eclipse.jface.viewers.StyledCellLabelProvider

`isOwnerDrawEnabled, setOwnerDrawEnabled, styleDecoratedString`

### Methods inherited from class org.eclipse.jface.viewers.OwnerDrawLabelProvider

`dispose, setUpOwnerDraw`

### Methods inherited from class org.eclipse.jface.viewers.CellLabelProvider

`getToolTipBackgroundColor, getToolTipDisplayDelayTime, getToolTipFont, getToolTipForegroundColor, getToolTipImage, getToolTipShift, getToolTipStyle, getToolTipTimeDisplayed, useNativeToolTip`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.ILabelProvider

`getImage`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, isLabelProperty, removeListener`

### Constructor Detail

#### DecoratedLabelProvider

    public DecoratedLabelProvider(ILabelProvider commonLabelProvider)

Creates a `NavigatorDecoratingLabelProvider`

Parameters:
  `commonLabelProvider` - the label provider to use

### Method Detail

#### initialize

    public void initialize(ColumnViewer viewer,
                  ViewerColumn column)

Overrides:
  `initialize` in class `StyledCellLabelProvider`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Overrides:
  `dispose` in class `DecoratingStyledCellLabelProvider`

#### propertyChange

    public void propertyChange(PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `IPropertyChangeListener`

#### getText

    public String getText(Object element)

Specified by:
  `getText` in interface `ILabelProvider`